Bug 154361 - print/cups* ports using unexistent PAM module pam_pam_unix.so.so
Summary: print/cups* ports using unexistent PAM module pam_pam_unix.so.so
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dirk Meyer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-28 22:10 UTC by mail_of_sergey
Modified: 2011-02-27 02:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mail_of_sergey 2011-01-28 22:10:07 UTC
/usr/local/etc/pam.d/cups using unexistent PAM module pam_pam_unix.so.so:

auth    required        pam_pam_unix.so.so nodelay
account required        pam_pam_unix.so.so

As expected basic authentification is impossible:
 cupsd: in openpam_load_module(): no pam_pam_unix.so.so found

How-To-Repeat: Simply install cups from ports
Comment 1 Edwin Groothuis freebsd_committer 2011-01-28 22:10:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dinoex

Over to maintainer (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=154361 

Date: Sat, 29 Jan 2011 15:07:53 +0300
Comment 2 Daisuke Ban 2011-02-12 16:50:36 UTC
This problem is originated in configure option.
I have a simple solution. (Makefile patch)

--- Makefile.orig       2011-01-08 06:24:58.000000000 +0900
+++ Makefile    2011-02-13 01:26:15.000000000 +0900
@@ -37,7 +37,7 @@
                        --with-icondir=${PREFIX}/share/icons    \
                        --with-menudir=${DESKTOPDIR}            \
                        --with-domainsocket=${CUPS_SOCKET}      \
-                       --with-pam-module="pam_unix.so"         \
+                       --with-pam-module="unix"                \
                        --enable-ssl

 OPTIONS?=      GNUTLS          "Build with GNUTLS library" on \

----
Daisuke Ban <exceed@alae.jp>
Comment 3 dfilter service freebsd_committer 2011-02-13 12:49:56 UTC
dinoex      2011-02-13 12:49:51 UTC

  FreeBSD ports repository

  Modified files:
    print/cups-base      Makefile 
  Log:
  - fix unexistent PAM module
  PR:     154361
  Submitted by:   Daisuke Ban
  Feature safe:   yes
  
  Revision  Changes    Path
  1.152     +2 -1      ports/print/cups-base/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2011-02-27 02:18:17 UTC
State Changed
From-To: open->closed

Committed already